منبع اصلی نوشتار زیر در این لینک قرار دارد

دبیان ویزی – Debian Wheezy – منتشر شد

debian-wheezy2

نزدیک ۱۱ ماه از زمان freeze دبیان نسخه ۷ – wheezy -  گذشته و بالاخره دیشب خبر انتشار رسید (من یکی داشتن ذوق مرگ می شدم). یک نسخه از زمان فریز را روی لپ تاپ داشتم که هفته پیش به خاطر نگرفتن به روز رسانی ها دچار مشکلات عدیده ای شد.  اما وقتی یک نسخه جدید دبیان می یاد اونم بعد از دو سال و اندی تغییرات خیلی مهم هستند و همیشه اول بررسی می کنم ببینم با نسخه قبلی چه تفاوت هایی کرده و چه چیزای جدیدی داره و باید منتظر چه چیزایی باشم و یا چیزایی حذف شده و باید نوع استفاده ام را عوض کنم. البته یه لیست کامل می تونید اینجا پیدا کنید. ولی بدم نمی یاد یه خلاصه ای بنویسم از چیزایی که استفاده می کنم.

اول از همه حذف شده های مهم برای من:

- دبیان Openoffice را حذف کرده و Libreoffice نسخه ۳٫۵ را اضافه کرده. خوب احتمال داره اصلا استفاده نشه چون فعلا رفتم روی نسخه ۴٫۰ و خوب از مخازن نصب نخواهم کرد. البته نسخه ۴٫۰ یه کم ناپایداره و مشکلاتی داره برای همین روی این نسخه نرفتند. مثلا در مواقعی موقع قرار دادن عکس توی header و footer نرم افزار crash می کنه. شاید منم برگشتم روی ۳٫۵

- ffmpeg: دبیان ffmpeg را حذف کرده و fork جدیدش libav را جایگزین کرده. این را هم من خیلی استفاده می کردم ;)

- چیزی که داشت فراموشم می شد اینه که پشتیبانی از multimedia هم وضعیت جالبی پیدا کرده و خوب مثل اینکه همه codec ها را از این به بعد در مخازن اصلی داریم . فکر کنم مخزن deb-multimedia.org کارکاسبی اش کساد بشه ;)

به روز رسانی ها در میزکار:

- Gnome: گنوم به نسخه ۳٫۴ به روز شده. خوب شاید موضوع این باشه که چرا به نسخه های جدیدتر نیومده. ولی من از این انتخاب راضیم . چون extention  برای این نسخه کاملتر و کاراتر هست و بقیه نسخه هنوز مشکل همخوانی و یا آماده نشدن extention ها را دارند.

به روز رسانی در سرویس و سرور:

- PHP: پی اچ پی به نسخه ۵٫۴ منتقل شده و البته یکی از معضلات من این شده که سایت‌های قدیمی را چجوری به ویزی کوچ بدم. الان کلی سایت بالا داریم که با PHP 5.4 سازگاری ندارند و احتمالا پوستمون (شایدم پوستشون ;) ) کندست.

- apache: آپاچی باید به نسخه ۲٫۴ کوچ می کرد و نکرده. سر این موضوع خیلی حالم گرفتست . دلم می خواست apache را event base هم تجربه کنم توی دبیان. تجربه خوبی با nginx و event base بودنش داشتم. حالا چرا نکرده چون mod_perl برای نسخه ۲٫۴ آماده نبوده.

- پیغام های بوت: الان برای ثبت پیغام‌های بوت بسته ای جدا فراهم شده. پس حتما bootlogd را نصب کنید. البته اگه این پیغام‌ها را نیاز دارید.

- از openvz هم دیگه پشتیبانی نمی شه

-Linux : نسخه هسته هم ۳٫۲ هست. این را نتونستم تهتوش را در بیارم برای چی نرفتند نسخه های بالاتر. راستش منتظر ۳٫۷ بودم . ولی خوب الان باید بسازیم ;)

- در ضمن فایل سیستم پیشفرض ext4 شده و در ضمن تو نصاب از btrfs هم پشتیبانی می شه.

اینا چیزایی بود که به نظرم توی تغییرات بسته ها مهم رسید . اما یک سری تغییرات مدیریتی اتفاق افتاده.
- debian-backports به مخازن اصلی اضافه شدند و از این نسخه جزو دسته بسته هایی هستند که رسما توسط دبیان پشتیبانی می شوند .   از این به بعد این دسته را هم توی مخزن اصلی دارید.

deb http://ftp.debian.org/debian/ wheezy-backports main

با توجه به شعارهای انتخاباتی مدیران جدید هم احتمالا امسال سال کار روی backport باید باشه. قصدشون اینه که مشکل قدیمی بودن بسته ها را برای دبیان روش کار بشه و خوب راه حل backports هستش.

این چیزایی بود که من به ذهنم مهم رسید و تا حالا بهش برخورد کردم. اگه می خواهید شما هم خودتون به یه چیزایی بر بخورید نصبش کنید و عین حال به release note مراجعه کنید.



برچسب ها : ,

به سیاره لینوکس امتیاز دهید

به اين صفحه امتياز دهيد